org.apache.solr.client.solrj.response

## Class FieldAnalysisResponse.Analysis

- java.lang.Object
- - org.apache.solr.client.solrj.response.FieldAnalysisResponse.Analysis

- Enclosing class:
    FieldAnalysisResponse

      public static class FieldAnalysisResponse.Analysis
      extends Object

  The analysis of a field. Holds a list of all the query time analysis phases (if a query analysis was requested) as well as index time phases.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterable<AnalysisResponseBase.AnalysisPhase>` | `getIndexPhases()` Returns the index time analysis phases for this analysis.
    `int` | `getIndexPhasesCount()` Returns the index time analysis phases for this analysis.
    `Iterable<AnalysisResponseBase.AnalysisPhase>` | `getQueryPhases()` Returns the query time analysis phases for this analysis or `null` if query time analysis doesn't exist.
    `int` | `getQueryPhasesCount()` Returns the number of query time analysis phases in this analysis or `-1` if query time analysis doesn't exist.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getQueryPhasesCount

          public int getQueryPhasesCount()

      Returns the number of query time analysis phases in this analysis or `-1` if query time analysis doesn't exist.
      Returns:
        Returns the number of query time analysis phases in this analysis or `-1` if query time analysis doesn't exist.

    - #### getQueryPhases

          public Iterable<AnalysisResponseBase.AnalysisPhase> getQueryPhases()

      Returns the query time analysis phases for this analysis or `null` if query time analysis doesn't exist.
      Returns:
        The query time analysis phases for this analysis or `null` if query time analysis doesn't exist.

    - #### getIndexPhasesCount

          public int getIndexPhasesCount()

      Returns the index time analysis phases for this analysis.
      Returns:
        The index time analysis phases for this analysis.

    - #### getIndexPhases

          public Iterable<AnalysisResponseBase.AnalysisPhase> getIndexPhases()

      Returns the index time analysis phases for this analysis.
      Returns:
        The index time analysis phases for this analysis.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.